weka.gui.scripting.event

## Class ScriptExecutionEvent

- java.lang.Object
- - java.util.EventObject
  - - weka.gui.scripting.event.ScriptExecutionEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ScriptExecutionEvent
      extends java.util.EventObject

  Event that gets sent when a script is executed.
  Version:
    $Revision: 8034 $
  Author:
    fracpete (fracpete at waikato dot ac dot nz)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ScriptExecutionEvent.Type` Defines the type of event.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptExecutionEvent(Script source, ScriptExecutionEvent.Type type)` Initializes the event.
    `ScriptExecutionEvent(Script source, ScriptExecutionEvent.Type type, java.lang.Object additional)` Initializes the event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAdditional()` Returns the additional information.
    `Script` | `getScript()` Returns the script that triggered the event.
    `ScriptExecutionEvent.Type` | `getType()` Returns the type of event.
    `boolean` | `hasAdditional()` Returns whether additional information is available.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptExecutionEvent

          public ScriptExecutionEvent(Script source,
                                      ScriptExecutionEvent.Type type)

      Initializes the event.
      Parameters:
        `source` - the script that triggered the event
        `type` - the type of finish

    - #### ScriptExecutionEvent

          public ScriptExecutionEvent(Script source,
                                      ScriptExecutionEvent.Type type,
                                      java.lang.Object additional)

      Initializes the event.
      Parameters:
        `source` - the script that triggered the event
        `type` - the type of finish
        `additional` - additional information, can be null

  - ### Method Detail

    - #### getScript

          public Script getScript()

      Returns the script that triggered the event.
      Returns:
        the script

    - #### getType

          public ScriptExecutionEvent.Type getType()

      Returns the type of event.
      Returns:
        the type

    - #### hasAdditional

          public boolean hasAdditional()

      Returns whether additional information is available.
      Returns:
        true if additional information is available
      See Also:
        `getAdditional()`

    - #### getAdditional

          public java.lang.Object getAdditional()

      Returns the additional information.
      Returns:
        the additional information, can be null